DROP TABLE IF EXISTS scheme;

CREATE TABLE `scheme` (
	`version` INT UNSIGNED NOT NULL,
	`created` DATETIME NOT NULL,
	PRIMARY KEY(version)
) TYPE=MyISAM;

INSERT INTO `scheme` (version, created) VALUES ('1002', now());

DROP TABLE IF EXISTS system;

CREATE TABLE `system` (
	`sid` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	`ip_addr` INT(10) UNSIGNED NOT NULL DEFAULT '0',
	`name` VARCHAR(128) NOT NULL DEFAULT '',
	`first_tstamp` DATETIME DEFAULT NULL,
	`last_tstamp` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	PRIMARY KEY(sid),
	UNIQUE(ip_addr, name),
	INDEX(`ip_addr`, `name`),
	INDEX(`first_tstamp`),
	INDEX(`last_tstamp`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS system_details;

CREATE TABLE `system_details` (
	`sid` INT(10) UNSIGNED NOT NULL DEFAULT '0',
	`ip_addr` INT(10) UNSIGNED NOT NULL DEFAULT '0',
	`nat` VARCHAR(64) NOT NULL DEFAULT 'no/unknown',
	`ecn` VARCHAR(64) NOT NULL DEFAULT 'no/unknown',
	`firewall` VARCHAR(64) NOT NULL DEFAULT 'no/unknown',
	`lookup_link` VARCHAR(128) NOT NULL DEFAULT 'unknown',
	`distance` SMALLINT UNSIGNED NOT NULL DEFAULT '255',
	INDEX(`sid`),
	INDEX(`ip_addr`)
) TYPE=MyISAM;

