DROP TABLE scheme;

CREATE TABLE scheme (
    version 	integer PRIMARY KEY,
    created	timestamp with time zone NOT NULL
);

INSERT INTO scheme (version, created) VALUES (1002, CURRENT_TIMESTAMP);

DROP TABLE system;

CREATE TABLE system (
	sid		bigserial PRIMARY KEY,
	ip_addr		inet NOT NULL,
	name		character varying(128) NOT NULL,
	first_tstamp    timestamp with time zone,
	last_tstamp     timestamp with time zone NOT NULL,
	UNIQUE(ip_addr, name)
);

CREATE INDEX ip_addr_name_index ON system (ip_addr, name);
CREATE INDEX first_tstamp_index ON system (first_tstamp);
CREATE INDEX last_tstamp_index ON system (last_tstamp);

DROP TABLE system_details;

CREATE TABLE system_details (
	sid integer NOT NULL,
	ip_addr inet NOT NULL,
	nat character varying(64) NOT NULL DEFAULT 'no/unknown',
	ecn character varying(64) NOT NULL DEFAULT 'no/unknown',
	firewall character varying(64) NOT NULL DEFAULT 'no/unknown',
	lookup_link character varying(128) NOT NULL DEFAULT 'unknown',
	distance smallint NOT NULL DEFAULT 0
);

CREATE INDEX sid_index ON system_details (sid);
CREATE INDEX system_details_ip_addr_index ON system_details (ip_addr);

